{% extends 'base.html.twig' %}

{% block title %}DeadCowDiner - Login{% endblock %}

{% block stylesheets %}
<link rel="stylesheet" href="/styles/login.css">
{% endblock %}

{% block body %}

<main>
    {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3 mt-2 ps-3 info-log text-center">
                Vous êtes connecté en tant que : {{ app.user.username }} 
                <a class="btn btn-primary btn-sm" href="{{ path('app_logout') }}">Déconnexion</a>
                <a class="btn btn-danger btn-sm" href="{{ path('app_index') }}">Accueil</a>
            </div>
        {% endif %}
    <div class="wrapper">
        <form method="post">

        <div class="container text-center w-50 mt-5 form-login pt-4">
            <h2 class="h3 mb-3 font-weight-normal">Connexion</h2>
            <label for="inputUsername">Nom d'utilisateur</label>
            <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus>
            <label for="inputPassword">Mot de passe</label>
            <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

            <input type="hidden" name="_csrf_token"
                value="{{ csrf_token('authenticate') }}"
            >
            <button class="btn btn-lg btn-primary mt-4 btn-sm mb-4" type="submit">Connexion</button>
        </div>
    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}

    
        </form>
    </div>

</main>

{% endblock %}
